Servoy JasperReports Plugin - Defect #800

xhtml only partly working
04/07/2014 04:28 PM - Sanneke Aleman

Status: Closed Start date: 04/07/2014
Priority: Urgent Due date:

Assignee: Andrei Costache % Done: 100%
Category: Estimated time: 0.00 hour

Target version:

Browser (if web
client):

Description

If you use the plugins.jasperPluginRMI.OUTPUT_FORMAT.XHTML output it is only partly working. If you do it in iReports you will get
a file and a folder, the folder will contain the images styles ect. If you do it from the servoy plugin you will get the file but not the
folder, this is the problem. Especially if you want to use images.

History

#1 - 04/19/2014 03:01 PM - Andrei Costache
- Status changed from New to In Progress

- Assignee set to Andrei Costache

#2 - 04/19/2014 05:52 PM - Andrei Costache
- Status changed from In Progress to Closed

- % Done changed from 0 to 100

Fixed in the 4.x version of the plugin.

#3 - 04/21/2014 03:35 PM - Andrei Costache

- Status changed from Closed to Reopened

client/server problem export problem: the 'extra’ folder with resources not saved on the client - reopening case.

#4 - 04/21/2014 05:09 PM - Andrei Costache

- Status changed from Reopened to Resolved

Refixed: making html/xhtml exporting always client side (because of images uri, other resource dirs name to be created on the client by jasper).

#5 - 05/26/2014 03:37 PM - Sanneke Aleman
When Harry tested the new plugin he got:

java.lang.NoClassDefFoundError: Could not initialize class net.sf.jasperreports.engine.util. JRStyledTextParser
at net.sf.jasperreports.engine.fil.JRBaseFiller.<init>(JRBaseFiller.java:121)

at net.sf.jasperreports.engine.fil.JRVerticalFiller.<init>(JRVerticalFiller.java:88)

at net.sf.jasperreports.engine.fil.JRVerticalFiller.<init>(JRVerticalFiller.java:103)

at net.sf.jasperreports.engine.fill. JRVerticalFiller.<init>(JRVerticalFiller.java:61)

at net.sf.jasperreports.engine.fill.JRFiller.createFiller(JRFiller.java:153)

at net.sf.jasperreports.engine.fill.JRFiller fill(JRFiller.java:82)

at net.sf.jasperreports.engine.JasperFillManager fill(JasperFillManager.java:653)

at net.sf.jasperreports.engine.JasperFillManager fillReport(JasperFillManager.java:969)

at com.servoy.plugins.jasperreports.JasperReportRunner.getJasperPrint(JasperReportRunner.java:465)

at com.servoy.plugins.jasperreports.JasperReportRunner.getJasperPrint(JasperReportRunner.java:113)

at com.servoy.plugins.jasperreports.JasperReportsProvider.runReport(JasperReportsProvider.java:396)

at com.servoy.plugins.jasperreports.JasperReportsProvider.js_runReport(JasperReportsProvider.java:299)
at com.servoy.plugins.jasperreports.JasperReportsProvider.js_runReport(JasperReportsProvider.java:207)
at sun.reflect.NativeMethodAccessorlmpl.invokeO(Native Method)

at sun.reflect.NativeMethodAccessorlmpl.invoke(Unknown Source)

at sun.reflect.DelegatingMethodAccessorimpl.invoke(Unknown Source)

at java.lang.reflect.Method.invoke(Unknown Source)

at org.mozilla.javascript. MemberBox.invoke(MemberBox.java:158)
at org.mozilla.javascript.NativeJavaMethod.call(NativeJavaMethod.java:312)

at org.mozilla.javascript.Interpreter.interpretLoop(Interpreter.java:1774)

at org.mozilla.javascript.Interpreter.interpret(Interpreter.java:837)

at org.mozilla.javascript.InterpretedFunction.call(InterpretedFunction.java:158)

at org.mozilla.javascript.ContextFactory.doTopCall(ContextFactory.java:406)

at org.mozilla.javascript.ScriptRuntime.doTopCall(ScriptRuntime.java:3204)

at org.mozilla.javascript.InterpretedFunction.call(InterpretedFunction.java:156)

at com.servoy.j2db.scripting.ScriptEngine.executeFunction(ScriptEngine.java:626)

at com.servoy.j2db.debug.RemoteDebugScriptEngine.executeFunction(RemoteDebugScriptEngine.java:393)
at com.servoy.j2db.BasicFormController.executeFunction(BasicFormController.java:811)

at com.servoy.j2db.FormController.executeFunction(FormController.java:1268)

at com.servoy.j2db.plugins.ClientPluginAccessProvider$MethodExecutor.run(ClientPluginAccessProvider.java:588)
at com.servoy.j2db.server.headlessclient.EventsRunnable.run(EventsRunnable.java:58)

at com.servoy.j2db.server.headlessclient. WebClient.executeEvents(WebClient.java:555)

at com.servoy.j2db.debug.DebugWebClient.onBeginRequest(DebugWebClient.java:437)

at com.servoy.j2db.server.headlessclient.ServoyRequestCycle.onBeginRequest(ServoyRequestCycle.java:83)
at org.apache.wicket.RequestCycle.prepare(RequestCycle.java:1269)

at org.apache.wicket.RequestCycle.step(RequestCycle.java:1333)

at org.apache.wicket.RequestCycle.steps(RequestCycle.java:1465)

at org.apache.wicket.RequestCycle.request(RequestCycle.java:545)

at org.apache.wicket.protocol.http. WicketFilter.doGet(WicketFilter.java:486)

at com.servoy.j2db.server.servlets.Zt.doGet(Zt.java:4)

at org.apache.wicket.protocol.http.WicketServiet.doGet(WicketServlet.java:138)

at javax.servlet.http.HttpServlet.service(HttpServlet.java:617)

at javax.servlet.http.HttpServlet.service(HttpServlet.java:717)

at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:290)

at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:206)

at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:233)

at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:191)

at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:127)

at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:103)

at org.apache.catalina.valves.AccesslLogValve.invoke(AccessLogValve.java:615)

at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:109)

at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:293)

at org.apache.coyote.http11.Http11Processor.process(Http11Processor.java:861)

at org.apache.coyote.http11.Http11Protocol$Http11ConnectionHandler.process(Http11Protocol.java:606)
at org.apache.tomcat.util.net.JloEndpoint$Worker.run(JloEndpoint.java:489)

at java.lang.Thread.run(Unknown Source)

#6 - 05/27/2014 10:24 PM - Andrei Costache

- Status changed from Resolved to Reopened

Were the tests done with the latest 4.x or 5.x alpha?

And was testing done with a clean plugin install?

#7 - 06/02/2014 02:35 PM - Harry Schurink

Installed version: 5.0.0a1

No clean install, just updated the files in the zipfile according to instructions.

#8 - 06/09/2014 12:45 PM - Andrei Costache

| have recently retested this and it works on my side.
Could you please try to test with a clean install of the plugin? (maybe also clear the Java cache, if this is possible, when/if using the smart client)

If using a clean install still does not work, please attach your report files to this case so we can have a closer look.

Regards,
Andrei

#9 - 06/09/2014 12:50 PM - Andrei Costache
Sanneke Aleman wrote:
When Harry tested the new plugin he got:
java.lang.NoClassDefFoundError: Could not initialize class net.sf.jasperreports.engine.util. JRStyledTextParser

at net.sf.jasperreports.engine.fill.JRBaseFiller.<init>(JRBaseFiller.java:121)
at net.sf.jasperreports.engine.fil.JRVerticalFiller.<init>(JRVerticalFiller.java:88)
Is it possible to get the complete stacktrace as well? It should contain some more info.

#10 - 07/12/2014 10:15 PM - Andrei Costache
- Status changed from Reopened to Feedback

Please reopen if the above suggestions did not work. Also provide the requested info/feedback if possible.

Best regards,
Andrei

#11 - 10/04/2014 12:25 PM - Andrei Costache
- Status changed from Feedback to Closed
